package operation

import (
	"game/common/model/user"
	"game/common/modelOperator"
)

// 玩家资源表
func NewUserResourcesOp() *modelOperator.TableOp[user.UserResources] {
	return modelOperator.NewTableOp[user.UserResources](UserDB, UserRedis)
}

// 玩家资源表
func NewUserResourcesLogOp() *modelOperator.TableOp[user.UserResourcesLog] {
	return modelOperator.NewTableOp[user.UserResourcesLog](LogDB, nil)
}
